org.eclipse.ease.ui.modules.ui

## Class ModulesContentProvider

- java.lang.Object
- - org.eclipse.ease.ui.tools.AbstractVirtualTreeProvider
  - - org.eclipse.ease.ui.modules.ui.ModulesContentProvider

All Implemented Interfaces:
  IContentProvider, IStructuredContentProvider, ITreeContentProvider

    public class ModulesContentProvider
    extends AbstractVirtualTreeProvider

### Field Summary

### Fields inherited from class org.eclipse.ease.ui.tools.AbstractVirtualTreeProvider

`ROOT`

### Constructor Summary

Constructors
Constructor and Description
`ModulesContentProvider(boolean modulesOnly)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object[]` `getChildren(java.lang.Object parentElement)`
`java.lang.Object` `getParent(java.lang.Object element)`
`boolean` `hasChildren(java.lang.Object element)`

### Methods inherited from class org.eclipse.ease.ui.tools.AbstractVirtualTreeProvider

`dispose, getElements, inputChanged, registerElement, registerNodeReplacement, registerPath, setShowRoot`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModulesContentProvider

    public ModulesContentProvider(boolean modulesOnly)

### Method Detail

#### getParent

    public java.lang.Object getParent(java.lang.Object element)

Specified by:
  `getParent` in interface `ITreeContentProvider`
Overrides:
  `getParent` in class `AbstractVirtualTreeProvider`

#### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

Specified by:
  `getChildren` in interface `ITreeContentProvider`
Overrides:
  `getChildren` in class `AbstractVirtualTreeProvider`

#### hasChildren

    public boolean hasChildren(java.lang.Object element)

Specified by:
  `hasChildren` in interface `ITreeContentProvider`
Overrides:
  `hasChildren` in class `AbstractVirtualTreeProvider`